// SPDX-FileCopyrightText: 2022 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef SCOREHELPER_H
#define SCOREHELPER_H

// Local includes
#include "shared/Scores.h"

// Qt classes
class QJsonObject;

namespace ScoreHelper
{

QJsonObject scoreToJson(const Scores::Score &score);
Scores::Score JsonToScore(const QJsonObject &json);

}

#endif // SCOREHELPER_H
