// SPDX-FileCopyrightText: 2020 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef ICONBUTTON_H
#define ICONBUTTON_H

// Qt includes
#include <QToolButton>

// Local classes
class SharedObjects;

class IconButton : public QToolButton
{
    Q_OBJECT

public:
    explicit IconButton(SharedObjects *sharedObjects, const QString &icon,
                        QWidget *parent = nullptr);

};

#endif // ICONBUTTON_H
