#!/usr/bin/perl -w

# SPDX-FileCopyrightText: none
#
# SPDX-License-Identifier: CC0-1.0

use strict;

my $rstFile = '../../build/share/muckturnier/Readme.html';
open my $rst, $rstFile or die "Could not open $rstFile: $!";

my $readmeFile = 'readme_excerpt.html';
open(my $readme, '>', $readmeFile) or die "Could not open $readmeFile: $!";

while (<$rst>) {
    last if /<body>/;
}

while (<$rst>) {
    last if /<\/body>/;
    print $readme $_;
}

close $rst;
close $readme;
